package org.jeecg.modules.bytedance.common;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.jeecg.modules.bytedance.common.service.IFileInfoService;
import org.jeecg.modules.bytedance.common.service.IMaterialImageInfoService;
import org.jeecg.modules.bytedance.common.utils.Check;
import org.jeecg.modules.bytedance.common.utils.ResultMapUtils;
import org.jeecg.modules.bytedance.common.utils.StatusCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

/**
 * Administrator
 * 2021/4/26
 **/

@RestController
public class FileController {


    @Autowired
    private IMaterialImageInfoService materialImageInfoService;


    /**
     * 检查自己数据库 ctop_material_image_info 是否有图片素材
     * @param code
     * @param videoId
     * @return
     */
    @RequestMapping("file/imageCheck")
    public Map<String, Object> imageCheck(String code, String videoId) {
        return materialImageInfoService.checkMaterialInfo(code, videoId);
    }




}